Description

I have a QGIS project file with shape file layer A.

Shape file layer A contains one feature. I have another shape file B, which is not loaded into the QGIS project, and it contains one feature

which is at a different location than the feature in layer A.

If I close the QGIS project, switch the names of the two Shape files and open the QGIS project, the zoom-to-extent moves the map to the

location of the feature in layer A, but this time its actually layer B, which is loaded in QGIS.

Thus the extent of shape file layers in QGIS projects are NOT updated upon loading. Looking at the metadata pane under the layers

properties, confirms the wrong extent.

Is this the expected behavior?

History

#1 - 2016-07-29 03:12 AM - Harrissou Santanna

Yes, I think it's the expected behavior. When you save the project, QGIS also saves the current map canvas extent. That does nothing to have with the

loaded layer(s). And it's the saved extent that will be shown the next time you open the project. Imagine if anytime you open your project, QGIS zooms to

the extent of the loaded layers ignoring that you were working last time on a precise location, It won't be fun nor usable, I guess.

However, when you load the first layer in a new and empty project, QGIS by default automatically zooms to its extent. Is it what you are looking for?

#2 - 2016-07-29 04:40 AM - Casper Børgesen

Harrissou Santanna wrote:

Yes, I think it's the expected behavior. When you save the project, QGIS also saves the current map canvas extent. That does nothing to have with

the loaded layer(s). And it's the saved extent that will be shown the next time you open the project. Imagine if anytime you open your project, QGIS

zooms to the extent of the loaded layers ignoring that you were working last time on a precise location, It won't be fun nor usable, I guess.

However, when you load the first layer in a new and empty project, QGIS by default automatically zooms to its extent. Is it what you are looking for?

Hi Harrissou.

Well I rewrote the issue a couple of times before posting it, and I probably made the description even worse - Sorry :)
The issue has nothing to do with the extent that QGIS zooms to or shows when loading a project. I'll try to explain the problem in steps:

1. Load layer A into QGIS.

2. Save the project.

3. Close QGIS.

4. Delete the layer A files.

5. Rename the layer B files to the names of the layer A files.

6. Open the QGIS project.

7. Zoom-to-extent of layer A (which is actually now using the layer B data). It zooms to the extent of the original layer A data instead of the layer B data,

which is the current data in the layer.

I would expect QGIS to update the layer extent information of all layers when loading the QGIS project.

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#5 - 2019-03-09 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

data_A.dbf 76 Bytes 2016-07-25 Casper Børgesen

data_A.prj 143 Bytes 2016-07-25 Casper Børgesen

data_A.shp 252 Bytes 2016-07-25 Casper Børgesen

data_A.shx 108 Bytes 2016-07-25 Casper Børgesen

data_B.dbf 76 Bytes 2016-07-25 Casper Børgesen

data_B.prj 143 Bytes 2016-07-25 Casper Børgesen

data_B.shp 252 Bytes 2016-07-25 Casper Børgesen

data_B.shx 108 Bytes 2016-07-25 Casper Børgesen

project.qgs 8.25 KB 2016-07-25 Casper Børgesen
